# Class CRAMRecordReadFeatures.DecodeResult

java.lang.Object
htsjdk.samtools.cram.structure.CRAMRecordReadFeatures.DecodeResult

Enclosing class:
  `CRAMRecordReadFeatures`

public static final class CRAMRecordReadFeatures.DecodeResult extends Object
Result of the fused single-pass decode: read bases, CIGAR, and optionally MD string + NM count.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Cigar`
`cigar`
`final String`
`mdString`
`final int`
`nmCount`
`final byte[]`
`readBases`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### readBases

public final byte[] readBases

### cigar

public final Cigar cigar

### mdString

public final String mdString

### nmCount

public final int nmCount